﻿.attendee-form-grid {
    display: grid;
    grid-template-columns: auto 1fr auto 1fr;
    gap: 20px 30px;
    align-items: start;
    padding-bottom: 20px;
}

.attendee-form-grid-search {
    grid-template-columns: auto 1fr; /* Search row only needs 2 columns */
    margin-bottom: 30px;
}

.attendee-form-input-label {
    text-align: left !important;
    padding-top: 8px;
    font-weight: 600;
}

.grid-full-width {
    grid-column: 1 / -1;
}

.validation-error {
    color: #d44c2e;
    margin: 15px 0;
    grid-column: 1 / -1;
}

.right-align {
    text-align: right;
    grid-column: 1 / -1;
}

.no-resize {
    resize: none;
}

/* Responsive fallback for narrow overlays */
@media (max-width: 1100px) {
    .attendee-form-grid {
        grid-template-columns: 1fr 3fr;
    }

        .attendee-form-grid > label:nth-child(4n+3),
        .attendee-form-grid > *:nth-child(4n),
        .attendee-form-grid > *:nth-child(4n-1) {
            grid-column: 2 / -1;
        }
}
